package com.engine.custom.archives.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;

public class Dept {


    @Excel(name = "组织id")
    private String id;
    @Excel(name = "组织名称")
    private String name;
    @Excel(name = "组织类型")
    private String type;
    @Excel(name = "父组织id")
    private String parentId;
    @Excel(name = "组织全路径")
    private String allName;



    public Dept() {
    }

    public Dept(String id, String name, String type, String parentId, String allName) {
        this.id = id;
        this.name = name;
        this.type = type;
        this.parentId = parentId;
        this.allName = allName;
    }


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getAllName() {
        return allName;
    }

    public void setAllName(String allName) {
        this.allName = allName;
    }

    @Override
    public String toString() {
        return "Dept{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", type='" + type + '\'' +
                ", parentId='" + parentId + '\'' +
                ", allName='" + allName + '\'' +
                '}';
    }
}

